Bug 174340 - security/clusterssh update to 4.01
security/clusterssh update to 4.01
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: David Thiel
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-10 20:10 UTC by olevole
Modified: 2012-12-28 23:00 UTC (History)
0 users

See Also:


Attachments
file.diff (2.39 KB, patch)
2012-12-10 20:10 UTC, olevole
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description olevole 2012-12-10 20:10:00 UTC
update clusterssh to 4.01

Notes: Major change is the deprecation of the ~/.csshrc file. Now clusterssh 
uses the ~/.clusterssh directory. See documentations for details.

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2012-12-10 20:10:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->lx

Over to maintainer (via the GNATS Auto Assign Tool) 

http://www.freebsd.org/cgi/query-pr.cgi?pr=174340 

Date: Tue, 11 Dec 2012 00:22:03 +0400
Comment 2 dfilter freebsd_committer 2012-12-28 22:58:02 UTC
Author: lx
Date: Fri Dec 28 22:57:49 2012
New Revision: 309595
URL: http://svnweb.freebsd.org/changeset/ports/309595

Log:
  Update to 4.01. Note that the ~/.csshrc file is deprecated for the ~/.clusterssh directory. See documentation for details.
  
  PR:		ports/174340
  Submitted by:	Oleg Ginzburg <olevole@olevole.ru>

Added:
  head/security/clusterssh/pkg-plist   (contents, props changed)
Modified:
  head/security/clusterssh/Makefile
  head/security/clusterssh/distinfo

Modified: head/security/clusterssh/Makefile
==============================================================================
--- head/security/clusterssh/Makefile	Fri Dec 28 22:48:53 2012	(r309594)
+++ head/security/clusterssh/Makefile	Fri Dec 28 22:57:49 2012	(r309595)
@@ -1,26 +1,30 @@
-# New ports collection makefile for:	clusterssh
-# Date created:				2005-08-15
-# Whom:					David Thiel <lx@redundancy.redundancy.org>
-#
+# Created by: lx
 # $FreeBSD$
-#
 
 PORTNAME=	clusterssh
-PORTVERSION=	3.28
-PORTREVISION=	1
+PORTVERSION=	4.01
 CATEGORIES=	security net
-MASTER_SITES=	SF/${PORTNAME}/1.%20ClusterSSH%20Series%203/${PORTVERSION}
+MASTER_SITES=	SF/${PORTNAME}/2.%20ClusterSSH%20Series%204
+DISTNAME=	App-ClusterSSH-${PORTVERSION}_01
 
 MAINTAINER=	lx@FreeBSD.org
 COMMENT=	Controls multiple hosts simultaneously via xterms and ssh
 
+BUILD_DEPENDS=	p5-File-Which>=0:${PORTSDIR}/sysutils/p5-File-Which \
+		p5-Readonly>=0:${PORTSDIR}/devel/p5-Readonly \
+		p5-Test-Pod>=0:${PORTSDIR}/devel/p5-Test-Pod \
+		p5-Test-Pod-Coverage>=0:${PORTSDIR}/devel/p5-Test-Pod-Coverage \
+		p5-Test-Trap>=0:${PORTSDIR}/devel/p5-Test-Trap \
+		p5-Module-Manifest>=0:${PORTSDIR}/devel/p5-Module-Manifest
+
 RUN_DEPENDS=	p5-Tk>=0:${PORTSDIR}/x11-toolkits/p5-Tk \
-		p5-X11-Protocol>=0:${PORTSDIR}/x11/p5-X11-Protocol
+		p5-X11-Protocol>=0:${PORTSDIR}/x11/p5-X11-Protocol \
+		p5-Exception-Class>=0:${PORTSDIR}/devel/p5-Exception-Class \
+		p5-Try-Tiny>=0:${PORTSDIR}/lang/p5-Try-Tiny
 
 USE_PERL5=	yes
-GNU_CONFIGURE=	yes
+PERL_CONFIGURE=	yes
 
-PLIST_FILES=	bin/cssh
 MAN1=		cssh.1
 
 .include <bsd.port.mk>

Modified: head/security/clusterssh/distinfo
==============================================================================
--- head/security/clusterssh/distinfo	Fri Dec 28 22:48:53 2012	(r309594)
+++ head/security/clusterssh/distinfo	Fri Dec 28 22:57:49 2012	(r309595)
@@ -1,2 +1,2 @@
-SHA256 (clusterssh-3.28.tar.gz) = 27e7c0feb652d980229c5fe07f9d6bfe4eb1e3becafaf0e82a5409a9f67d8faf
-SIZE (clusterssh-3.28.tar.gz) = 103780
+SHA256 (App-ClusterSSH-4.01_01.tar.gz) = f164eda53846cb0a3a7e8bf7f9d677fe4c4ccf28507b12ccdaee981b40af05f6
+SIZE (App-ClusterSSH-4.01_01.tar.gz) = 85995

Added: head/security/clusterssh/pkg-plist
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/security/clusterssh/pkg-plist	Fri Dec 28 22:57:49 2012	(r309595)
@@ -0,0 +1,12 @@
+%%SITE_PERL%%/App/ClusterSSH/L10N/en.pm
+%%SITE_PERL%%/App/ClusterSSH/L10N.pm
+@dirrmtry %%SITE_PERL%%/App/ClusterSSH/L10N
+%%SITE_PERL%%/App/ClusterSSH/Host.pm
+%%SITE_PERL%%/App/ClusterSSH/Helper.pm
+%%SITE_PERL%%/App/ClusterSSH/Config.pm
+%%SITE_PERL%%/App/ClusterSSH/Cluster.pm
+%%SITE_PERL%%/App/ClusterSSH/Base.pm
+%%SITE_PERL%%/App/ClusterSSH.pm
+@dirrmtry %%SITE_PERL%%/App/ClusterSSH
+@dirrmtry %%SITE_PERL%%/App
+bin/cssh
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 David Thiel freebsd_committer 2012-12-28 22:58:21 UTC
State Changed
From-To: open->closed

Committed, thanks!